package org.expeditee.gui;

public class AttributeValuePair {
	private String _attribute = null;
	private String _value = null;
	
	public AttributeValuePair(String attribute, String value) {
		_attribute = attribute;
		_value = value;
	}
	
	public String getAttribute(){
		return _attribute;
	}
	
	public String getValue(){
		return _value;
	}
	
	public Double getDoubleValue() {
		assert (_value != null);

		try {
			return Double.parseDouble(_value);
		} catch (Exception e) {
		}
		return null;
	}
}
